/**
 * Created by supervisor on 2019/6/20
 */

import Vue from 'vue'
import Router from 'vue-router'
import Home from '../views/Home.vue'
import routes from './modules/fos'
Vue.use(Router)

//某个路由下的所有组件都打包在同个异步块 (chunk) 中。只需要使用命名chunk，一个特殊的注释语法来提供chunk name (需要 Webpack > 2.4)。
const loginManage = () => import(/* webpackChunkName: "loginManage" */  '@/views/login.vue')
//认证页
const approvePage = () => import(/* webpackChunkName: "loginManage" */  '@/views/approve.vue')
//首页
const mainPage = r => require.ensure([],()=>r(require(/* webpackChunkName: "mainPage" */ '@/views/fos/mainPage')),'mainPage');
//vpn管理
const updatePas =()=>import('@/views/user/updatePas.vue');
const userInfo =()=>import('@/views/user/userInfo.vue')


const isReqiureLogin = false;
const notRequireLOgin = false;
const router = new Router({
    mode: 'history',
    base: process.env.BASE_URL,
    routes: [
        {
            path: '/',
            redirect:'login'
        },
        // {
        //     path: '/',
        //     redirect:'approve'
        // },
        {
            path: '/login',
            name:'login',
            component:loginManage,
        },
        {
            path: '/home',
            component: Home,
            children:[
                {
                    path: '/mainPage',
                    name: ['首页'],
                    component:mainPage,
                    meta: {requireLogin: isReqiureLogin },
                },
                ...routes
            ]
        },
    ]
})
router.beforeEach((to, from, next) => {
    if(to.meta.requireLogin){
        next();
        let token = localStorage.getItem("token");
        if (token) {  // 通过vuex state获取当前的token是否存在
            return next();
        }else {
            next({  path: '/', query: {redirect:to.fullPath}})
        }
    }else {
        next();
    }
})
export default  router
