/**
 * Created by supervisor on 2019/6/21
 */
//某个路由下的所有组件都打包在同个异步块 (chunk) 中。只需要使用命名chunk，一个特殊的注释语法来提供chunk name (需要 Webpack > 2.4)。

//用户管理
const roleManage = r => require.ensure([],()=>r(require('@/views/fos/systermManagement/roleManage')),'roleManage');

//咨询审核
const dataCenter = r => require.ensure([],()=>r(require('@/views/fos/regionalManagement/dataCenter')),'dataCenter');

//直推用户管理
const areaCenter = r => require.ensure([],()=>r(require('@/views/fos/regionalManagement/areaCenter')),'areaCenter');

//团队用户管理
const businessManagement = r => require.ensure([],()=>r(require('@/views/fos/regionalManagement/businessManagement')),'businessManagement');

//培育奖管理
const appManagement = r => require.ensure([],()=>r(require('@/views/fos/applicationRelated/appManagement')),'appManagement');

//培育奖记录管理
const createManager = r => require.ensure([],()=>r(require('@/views/fos/systermManagement/createManager')),'createManager');

//会员等级优惠
const appClassManagement = r => require.ensure([],()=>r(require('@/views/fos/applicationRelated/appClassManagement')),'appClassManagement');

//月度奖励管理
const applicationDocuments = r => require.ensure([],()=>r(require('@/views/fos/applicationStatus/applicationDocuments')),'applicationDocuments');

//每月进步奖
const toDoList = r => require.ensure([],()=>r(require('@/views/fos/applicationStatus/toDoList')),'toDoList');

//团队业绩管理
const appStreamQuery = r => require.ensure([],()=>r(require('@/views/fos/flowOptimization/appStreamQuery')),'appStreamQuery');

//交易流水管理
const parameterSetting = r => require.ensure([],()=>r(require('@/views/fos/flowOptimization/parameterSetting')),'parameterSetting');

//应用设置
const accountManagement = r => require.ensure([],()=>r(require('@/views/fos/networkManagement/accountManagement')),'accountManagement');

const isReqiureLogin = false;
const routes = [
    {
        path: '/roleManage',
        component: roleManage,
        name:["商城用户管理"],
        meta: {requireLogin: isReqiureLogin },

    },
    {
        path: '/dataCenter',
        component: dataCenter,
        name:["资讯管理"],
        meta: {requireLogin: isReqiureLogin },
    },
    {
        path: '/areaCenter',
        component: areaCenter,
        name:["直推用户管理"],
        meta: {requireLogin: isReqiureLogin },

    },
    {
        path: '/businessManagement',
        component: businessManagement,
        name:["团队用户管理"],
        meta: {requireLogin: isReqiureLogin },

    },
    {
        path: '/appManagement',
        component: appManagement,
        name:["培育奖管理"],
        meta: {requireLogin: isReqiureLogin },

    },
    {
        path: '/createManager',
        component: createManager,
        name:["培育奖记录管理"],
        meta: {requireLogin: isReqiureLogin },

    },
    {
        path: '/appClassManagement',
        component: appClassManagement,
        name:["会员等级优惠"],
        meta: {requireLogin: isReqiureLogin },

    },
    {
        path: '/applicationDocuments',
        component: applicationDocuments,
        name:["月度奖励管理"],
        meta: {requireLogin: isReqiureLogin },

    },
    {
        path: '/toDoList',
        component: toDoList,
        name:["每月进步奖"],
        meta: {requireLogin: isReqiureLogin },

    },
    {
        path: '/appStreamQuery',
        component: appStreamQuery,
        name:["团队业绩管理"],
        meta: {requireLogin: isReqiureLogin },

    },
    {
        path: '/parameterSetting',
        component: parameterSetting,
        name:["交易流水管理"],
        meta: {requireLogin: isReqiureLogin },

    },
    {
        path: '/accountManagement',
        component: accountManagement,
        name:["应用设置"],
        meta: {requireLogin: isReqiureLogin },

    },
]
export default  routes
